Bug 18598 - Quick add form doesn't clear values when switching
Summary: Quick add form doesn't clear values when switching
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 3534
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-12 14:30 UTC by Nick Clemens
Modified: 2018-12-03 20:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18598 - Quick add form doesn't clear values when switching (1.36 KB, patch)
2017-05-12 14:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18598 - Quick add form doesn't clear values when switching (1.47 KB, patch)
2017-05-19 02:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18598 - Quick add form doesn't clear values when switching (1.60 KB, patch)
2017-05-19 05:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18598 - Quick add form doesn't clear values when switching (1.68 KB, patch)
2017-05-22 19:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-05-12 14:30:28 UTC
To test:
1 - Fill out some fields in quick add
2 - Switch to full form and clear fields
3 - Switch back and fields are still populated
4 - Fill a field in long form
5 - Switch to quick add and clear it
6 - Save
7 - Value set in 4 is saved
Comment 1 Nick Clemens 2017-05-12 14:33:54 UTC
Created attachment 63445 [details] [review]
Bug 18598 - Quick add form doesn't clear values when switching

To test:
1 - Fill out some fields in quick add
2 - Switch to full form and clear fields
3 - Switch back and fields are still populated
4 - Fill a field in long form
5 - Switch to quick add and clear it
6 - Save
7 - Value set in 4 is saved
8 - Apply patch
9 - Repeat 1-6 - values should be cleared and not saved
Comment 2 Marc Véron 2017-05-18 09:42:11 UTC
I can reproduce the behaviour without patch.
With patch, clearing works as described.

However, with patch applied the values e.g. for surname are no longer transferred between the two forms. If I enter a surname AAA in quick add form and switch to full form, surname is empty. If then in full form I enter BBB as surname and switch back to quick add form, there is still AAA. Switching back to full form shows BBB.
Comment 3 Nick Clemens 2017-05-19 02:01:38 UTC
Created attachment 63554 [details] [review]
Bug 18598 - Quick add form doesn't clear values when switching

To test:
1 - Fill out some fields in quick add
2 - Switch to full form and clear fields
3 - Switch back and fields are still populated
4 - Fill a field in long form
5 - Switch to quick add and clear it
6 - Save
7 - Value set in 4 is saved
8 - Apply patch
9 - Repeat 1-6 - values should be cleared and not saved
Comment 4 Nick Clemens 2017-05-19 02:02:28 UTC
Yeah, I removed one too many lines in that first patch ( meant to remove the if condtiion, removed the whole block )
Comment 5 Marc Véron 2017-05-19 05:07:59 UTC
Created attachment 63556 [details] [review]
Bug 18598 - Quick add form doesn't clear values when switching

To test:
1 - Fill out some fields in quick add
2 - Switch to full form and clear fields
3 - Switch back and fields are still populated
4 - Fill a field in long form
5 - Switch to quick add and clear it
6 - Save
7 - Value set in 4 is saved
8 - Apply patch
9 - Repeat 1-6 - values should be cleared and not saved

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 6 Jonathan Druart 2017-05-22 19:15:01 UTC
Created attachment 63638 [details] [review]
Bug 18598 - Quick add form doesn't clear values when switching

To test:
1 - Fill out some fields in quick add
2 - Switch to full form and clear fields
3 - Switch back and fields are still populated
4 - Fill a field in long form
5 - Switch to quick add and clear it
6 - Save
7 - Value set in 4 is saved
8 - Apply patch
9 - Repeat 1-6 - values should be cleared and not saved

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-05-24 14:22:44 UTC
Pushed to master for 17.05, thanks Nick!
Comment 8 Katrin Fischer 2017-06-05 12:17:33 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.